[tolchain/gcc]: use Linaro GCC 4.6 by default
authorImre Kaloz <kaloz@openwrt.org>
Sun, 12 Feb 2012 09:14:18 +0000 (09:14 +0000)
committerImre Kaloz <kaloz@openwrt.org>
Sun, 12 Feb 2012 09:14:18 +0000 (09:14 +0000)
SVN-Revision: 30467

toolchain/gcc/Config.in
toolchain/gcc/Config.version

index 09d3813..b027953 100644 (file)
@@ -3,7 +3,7 @@
 choice
        prompt "GCC compiler Version" if TOOLCHAINOPTS
        default GCC_VERSION_4_4_6 if GCC_DEFAULT_VERSION_4_4_6
-       default GCC_VERSION_4_5_LINARO
+       default GCC_VERSION_4_6_LINARO
        help
          Select the version of gcc you wish to use.
 
index 450d143..288ffa4 100644 (file)
@@ -6,11 +6,8 @@ config GCC_DEFAULT_VERSION_4_4_6
        default y if (avr32 || ubicom32)
        bool
 
-config GCC_DEFAULT_VERSION_4_5_LINARO
-       default y if !(GCC_DEFAULT_VERSION)
-       bool
-
 config GCC_DEFAULT_VERSION_4_6_LINARO
+       default y if !(GCC_DEFAULT_VERSION)
        bool
 
 
@@ -21,7 +18,7 @@ config GCC_VERSION
        default "4.5-linaro"    if GCC_VERSION_4_5_LINARO
        default "4.6-linaro"    if GCC_VERSION_4_6_LINARO
        default "llvm"      if GCC_VERSION_LLVM
-       default "4.5-linaro"
+       default "4.6-linaro"
 
 config GCC_VERSION_4_4
        bool
@@ -41,8 +38,8 @@ if !TOOLCHAINOPTS
                default y if GCC_DEFAULT_VERSION_4_4_6
                bool
 
-       config GCC_VERSION_4_5_LINARO
-               default y if GCC_DEFAULT_VERSION_4_5_LINARO
+       config GCC_VERSION_4_6_LINARO
+               default y if GCC_DEFAULT_VERSION_4_6_LINARO
                bool
 
 endif